<?
include 'config.php';
include 'func.php';
head();
ban();
aut();

echo head . 'Битва королей' . div . katalog;

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'battle_royal' WHERE `id` = '".$id_session."'");
####################################################

function img($msg){$img = '<img src="battle_royal_images/' . $msg . '" alt="" /> ';return $img; };
function back($url){echo "</div><div class='menu_razd'><img src='battle_royal_images/24.png' alt='' /> <a href='?mod=$url'>Назад</a></div>\n";return;};
function div($text){echo "<div class='menu_razd'>$text</div>\n";return;};

if (isset($_GET['page'])) {
$page = intval($_GET['page']);
}
else {
$page = 1;
}
$nums = 5;

$s = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_settings WHERE id = '1' LIMIT 1"));

If (!isset($_GET['mod']) || !preg_match("!^[a-zA-Z0-9_]+$!i",$_GET['mod'])) $mod=false; else $mod=$_GET['mod'];

if ( mysql_num_rows ( mysql_query ("SELECT login FROM battle_royal_user WHERE login='$user[login]'") )==1){
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$user[login]' LIMIT 1"));

} else {

mysql_query( "INSERT INTO battle_royal_user SET 
login = '$user[login]',
gold = '$s[gold]',
land = '" . rand($s['land_n'],$s['land_k']) . "',
swordsman = '$s[swordsman]',
archer = '$s[archer]',
tree = '$s[tree]',
gum = '$s[gum]',
iron = '$s[iron]',
time = '" . ( time() + 60 * $s['time_marat'] ) . "',
time_res = '" . time() . "',
time_tax = '" . time() . "' 
");
echo "Народ возвел вас на трон короля! Приведите свое государство к величию и могуществу!<br />";
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$user[login]' LIMIT 1"));
}

//==============
$count = mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_attack WHERE login='$info[login]' or login2='$info[login]'") );
if ( $count > 0 )
{
$sql = mysql_query("SELECT * FROM battle_royal_attack WHERE login='$info[login]' or login2='$info[login]'") or die(mysql_error());
while ($attack = mysql_fetch_assoc($sql))
{
 if ( $attack['time2'] < time() )
  {
   $user_info_1 = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$attack[login]' LIMIT 1"));
   $user_info_2 = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$attack[login2]' LIMIT 1"));
   
   $str_1 = $attack['swordsman'] - ( $attack['swordsman'] / 100 * $user_info_2['wall_lvl'] );
   $str_2 = $user_info_2['archer'] + ( $user_info_2['archer'] / 100 * $user_info_2['wall_lvl'] / 2 );
   
   if ( $str_1 > $str_2 )
   {
    
    if ( $str_1 - $str_2 >= $str_1 / 100 * 75  )
     {
      $kill_1 = ceil ( $attack['swordsman'] / 100 * 3 ) ;
      $kill_2 = ceil ( $user_info_2['archer'] / 100 * 15 ) ;
     }
      elseif ( $str_1 - $str_2 >= $str_1 / 100 * 50  )
      {
       $kill_1 = ceil ( $attack['swordsman'] / 100 * 5 ) ;
       $kill_2 = ceil ( $user_info_2['archer'] / 100 * 12 ) ;
      } 
        elseif ( $str_1 - $str_2 >= $str_1 / 100 * 25  )
	{ 
         $kill_1 = ceil ( $attack['swordsman'] / 100 * 7 ) ;
         $kill_2 = ceil ( $user_info_2['archer'] / 100 * 10 ) ;
        }
        else
        {
         $kill_1 = ceil ( $attack['swordsman'] / 100 * 8 ) ;
         $kill_2 = ceil ( $user_info_2['archer'] / 100 * 9 ) ;        
        }
        
        $medicine = ceil ( $kill_2 - ( $kill_2 / 100 * $user_info_2['medicine_lvl'] ) );
        $kill_2 - $medicine;
        
        $land = ceil ( $user_info_2['land'] / 100 * 5 ) ;
        
        if ( $kill_2 > 5 ) $token_1 = ceil ( $kill_2 / 10 ) ; else $token_1 = 0;
        $token_2 = 0;
        
        $mess_1 = "Победа в битве с $user_info_2[login]. Погибло $kill_1 мечников. Опыт генерала +$kill_2. Жетонов +$token_1. Захвачено земли $land.";
        $mess_2 = "Порожение в битве с $user_info_1[login]. Погибло $kill_2 лучников. Опыт генерала +$kill_1. Потеренно земли $land.";
      $text = '<small>'. date ( 'd.m в H:i' ) . '</small><br />Игрок <a href="?mod=user_info&amp;l=' .$user_info_1['login'] . '&amp;back=chronicle">' . $user_info_1['login'] . '</a> напал на <a href="?mod=user_info&amp;l=' . $user_info_2['login'] . '&amp;back=chronicle">' . $user_info_2['login'] . '</a> и победил.';
        
    
           for ($i=1; $i < 11; $i++)
   {
    if ( $s['land_lvl_'.$i] < $user_info_1['land'] + $land )
   $lvl_up_1 = $i;
    if ( $s['land_lvl_'.$i] < $user_info_2['land'] - $land )
   $lvl_up_2 = $i;   
   }
    
    $victory_1 = 1;
    $victory_2 = 0;
    $defeat_1 = 0;
    $defeat_2 = 1;
        
   }
   else
   {
   
        if ( $str_2 - $str_1 >= $str_2 / 100 * 75  )
        $kill_1 = ceil ( $attack['swordsman'] / 100 * 12 ) ;
         elseif ( $str_2 - $str_1 >= $str_2 / 100 * 50  )
          $kill_1 = ceil ( $attack['swordsman'] / 100 * 9 ) ; 
           elseif ( $str_2 - $str_1 >= $str_2 / 100 * 25  )
            $kill_1 = ceil ( $attack['swordsman'] / 100 * 6 ) ;
             else
              $kill_1 = ceil ( $attack['swordsman'] / 100 * 4 ) ;
        
    $kill_2 = ceil ( $kill_1 / 3 ) - ceil ( $kill_1 / 3 / 100 * $user_info_2['medicine_lvl'] );
      
    if ( $kill_2 == 1 AND $user_info_2['medicine_lvl'] > 3) $kill_2 = 0;  
    
   if ( $kill_1 > 5 ) $token_2 = ceil ( $kill_1 / 10 ); else $token_2 = 0;
   
   $token_1 = 0;  
   
    $victory_1 = 0;
    $victory_2 = 1;
    $defeat_1 = 1;
    $defeat_2 = 0;
        
      $mess_1 = "Порожение в битве с $user_info_2[login]. Погибло $kill_1 мечников. Опыт генерала +$kill_2.";   
      $mess_2 = "Победа в битве с $user_info_1[login]. Погибло $kill_2 лучников. Опыт генерала +$kill_1. Жетонов +$token_2.";
      $text = '<small>'. date ( 'd.m в H:i' ) . '</small><br />Игрок <a href="?mod=user_info&amp;l=' .$user_info_1['login'] . '&amp;back=chronicle">' . $user_info_1['login'] . '</a> напал на <a href="?mod=user_info&amp;l=' . $user_info_2['login'] . '&amp;back=chronicle">' . $user_info_2['login'] . '</a> и проиграл.';
      $lvl_up_1 = $user_info_1['lvl'];
      $lvl_up_2 = $user_info_2['lvl'];
      
      $land = 0;
      
   }
  
   mysql_query( "INSERT INTO battle_royal_mess SET  
   login = 'Система',
   whom = '$user_info_1[login]',
   mess = '$mess_1',
   rept = 0,
   date = '" . time() . "'
   ");

   mysql_query( "INSERT INTO battle_royal_mess SET  
   login = 'Система',
   whom = '$user_info_2[login]',
   mess = '$mess_2',
   rept = 0,
   date = '" . time() . "'
   ");
  

   mysql_query( "UPDATE battle_royal_user SET 
   swordsman = swordsman + " . ( $attack['swordsman'] - $kill_1 ) . ",
   general = general + $kill_2,
   token = token + $token_1,
   land = land + $land,
   lvl = '$lvl_up_1',
   victory = victory + $victory_1,
   defeat = defeat + $defeat_1
   WHERE login='$user_info_1[login]' LIMIT 1") or die(mysql_error());


   mysql_query( "UPDATE battle_royal_user SET 
   archer = archer - $kill_2,
   general = general + $kill_1,
   token = token + $token_2,
   land = land - $land,
   lvl = '$lvl_up_2',
   victory = victory + $victory_2,
   defeat = defeat + $defeat_2
   WHERE login='$user_info_2[login]' LIMIT 1") or die(mysql_error());  
   
   mysql_query( "INSERT INTO battle_royal_chronicle SET  text = '$text'") or die (mysql_error());
   
    mysql_query( "DELETE FROM battle_royal_attack WHERE id = '$attack[id]' " ); 
 
  }
}

}
//==============
if ( time() < $info['time'] )
{
echo "<b>На вас действует мараторий!</b> <small><a href='?mod=marat_info'>инфо</a></small><br />";
$time = ceil( $info['time'] - time() );

if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';
if ( $time < 60) $time_k = $time.' сек';
echo 'Оталось: ' . $time_k . '<br />';
}

switch ($mod) {

case 'marat_info':
echo "Пока на вас действует мараторий, на вас не могут напасть и ограбить другие игроки.<br />";
back('');
break;

case 'sklad_2':
div('Склад');
if ( ceil( ( time() - $info['time_res']) / ( $s['b_t_time'] * 60 ) * $info['b_tree'] ) < $s['min_res_sklad'] ) $error.= 'Дерево меньше минимума!<br />';
if ( ceil( ( time() - $info['time_res']) / ( $s['b_g_time'] * 60 ) * $info['b_gum'] ) < $s['min_res_sklad'] ) $error.= 'Камня меньше минимума!<br />';
if ( ceil( ( time() - $info['time_res']) / ( $s['b_i_time'] * 60 ) * $info['b_iron'] ) < $s['min_res_sklad'] ) $error.= 'Железа меньше минимума!<br />';
  if(!empty($error))
  echo $error;
  else
  {
  mysql_query( "UPDATE battle_royal_user SET 
   tree = tree + " . ceil( ( (time() - $info['time_res']) ) / ( $s['b_t_time'] * 60 ) * $info['b_tree'] ) . ",
   gum = gum + " . ceil( (time() - $info['time_res']) / ( $s['b_g_time'] * 60 ) * $info['b_gum'] ) . ",
   iron = iron + " . ceil( (time() - $info['time_res']) / ( $s['b_i_time'] * 60 ) * $info['b_iron'] ) . ",  
   time_res = '" . time() . "' 
   WHERE id='$info[id]' LIMIT 1");
   echo "Ресурсы успешно перевезены в склад!<br />";
  }
echo "<img src='battle_royal_images/24.png' alt='' /> <a href='?mod=sklad'>Назад</a><br />";
back('sklad');
break;

case 'sklad':
div('Склад');
echo "<small>Название всего/добыто/добыча</small><br />
" . img('1.gif') . " Дерево: <b>$info[tree]</b> | <b>" . ceil( (time() - $info['time_res']) / ( $s['b_t_time'] * 60 ) * $info['b_tree'] ) . "</b> | <b>$info[b_tree]</b> ед. в <b>$s[b_t_time]</b> мин.<br />
" . img('2.gif') . " Камень: <b>$info[gum]</b> | <b>" . ceil( (time() - $info['time_res']) / ( $s['b_g_time'] * 60 ) * $info['b_gum'] ) . "</b> | <b>$info[b_gum]</b> ед. в <b>$s[b_g_time]</b> мин.<br />
" . img('3.gif') . " Железо: <b>$info[iron]</b> | <b>" . ceil( (time() - $info['time_res']) / ( $s['b_i_time'] * 60 ) * $info['b_iron'] ) . "</b> | <b>$info[b_iron]</b> ед. в <b>$s[b_i_time]</b> мин.<br />
" . img('28.png') . " <a href='?mod=sklad_2'>В склад все ресурсы</a>*<br />";
back('');
echo "*для перевозки ресурсов в склад, нужно иметь не мение <b>$s[min_res_sklad]</b> ед. каждого ресурса.";
break;

case 'land':
if ( isset($_GET['tax']) and $_GET['tax'] == '' )
{
 if ( time() - $info['time_tax'] > ( $s['tax_time'] * 60 * 60 )  )
  {
  mysql_query( "UPDATE battle_royal_user SET 
   gold = gold + " . ( $info['land'] * $s['tax_gold'] ) . ",
   time_tax = '" . time() . "' 
   WHERE id='$info[id]' LIMIT 1") or die(mysql_error());
  echo "Вы успешно собрали налог со своих земель[<b>" . ( $info['land'] * $s['tax_gold'] ) . "</b> золотых].<br />";
  }
}

div('Мои земли');
echo "Владения: <b> $info[land] </b> ед. земли<br />
<b>Постройки</b><br />
" . img('31.png') . " Лесопилки: <b>$info[b_tree]</b> шт.<br />
" . img('30.png') . " Каменоломни: <b>$info[b_gum]</b> шт.<br />
" . img('32.png') . " Шахты: <b>$info[b_iron]</b> шт.<br />
<b>Налог</b><br />";
if ( time() - $info['time_tax'] > ( $s['tax_time'] * 60 *60 )  )
echo img('21.png') . " <a href='?mod=land&amp;tax'>Собрать налог</a> [<b>" . ( $info['land'] * $s['tax_gold'] ) . "</b> золотых]<br />";
else
echo "Вы еще не можите собрать налог.<br />";
back('');
break;

case 'about_game':
div('Об игре');
echo "Название: <b>Битва королей</b><br />
Версия: <b>1.6</b><br />
Разработчик: <b>Klesh</b> ICQ: 419 502 384<br />";
back('');
break;

case 'barracks_3':
div('Казармы');
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol=abs(ceil($_POST['kol']));
 if ( $kol != false || $kol > 0 )
 {
  if ( $_POST['army'] == 'swordsman' )
  {
   if ( $info['gum'] < ( $s['swordsman_gun'] * $kol ) ) $error.= 'Не хватает <b>' . ( ( $s['swordsman_gun'] * $kol ) - $info['gum'] ) . '</b> ед. камня.<br />';
   if ( $info['iron'] < ( $s['swordsman_iron'] * $kol ) ) $error.= 'Не хватает <b>' . ( ( $s['swordsman_iron'] * $kol ) - $info['iron'] ) . '</b> ед. железа.<br />';
   if(!empty($error)) echo $error;
   else
   {
    mysql_query( "UPDATE battle_royal_user SET 
    gum = gum - " . ( $s[swordsman_gun] * $kol ) . ",
    iron = iron - " . ( $s[swordsman_iron] * $kol ) . ",  
    swordsman = swordsman + $kol 
    WHERE id='$info[id]' LIMIT 1") or die(mysql_error());
    echo "Вы успешно обучили <b>$kol</b> мечников.<br />
    Потратив при этом:<br />
    Камня: <b>" . ( $s['swordsman_gun'] * $kol ) . "</b><br />
    Железа: <b>" . ( $s['swordsman_iron'] * $kol ) . "</b><br />";
   }
  } elseif ( $_POST['army'] == 'archer' )
  {
   if ( $info['tree'] < ( $s['archer_tree'] * $kol ) ) $error.= 'Не хватает <b>' . ( ( $s['archer_tree'] * $kol ) - $info['tree'] ) . '</b> ед. дерева.<br/>';
   if ( $info['iron'] < ( $s['archer_iron'] * $kol ) ) $error.= 'Не хватает <b>' . ( ( $s['archer_iron'] * $kol ) - $info['iron'] ) . '</b> ед. железа.<br />';
   if(!empty($error)) echo $error;
   else
   {
    mysql_query( "UPDATE battle_royal_user SET 
    tree = tree - " . ( $s['archer_tree'] * $kol ) . ",
    iron = iron - " . ( $s['archer_iron'] * $kol ) . ",  
    archer = archer + $kol 
    WHERE id='$info[id]' LIMIT 1") or die(mysql_error());
    echo "Вы успешно обучили <b>$kol</b> лучников.<br />
    Потратив при этом:<br />
    Дерева: <b>" . ( $s['archer_tree'] * $kol ) . "</b><br />
    Железа: <b>" . ( $s['archer_iron'] * $kol ) . "</b><br />";
   }
  }
  else
  echo "Такова вида войск не существует!<br />";
 }
 else
 echo "Неверное колличество!<br />"; 
back('');
break;

case 'barracks_2':
div('Казармы');
echo "<form action='?mod=barracks_3' method='post'>
<b>М</b>ечники<br />
" . img('war.png') . " <br />
Камень: <b>$s[swordsman_gun]</b><br />
Железо: <b>$s[swordsman_iron]</b><br />
<b>Л</b>учники<br />
" . img('arch.png') . " <br />
Дерево: <b>$s[archer_tree]</b><br />
Железо: <b>$s[archer_iron]</b><br />
Ково обучаем:<br />
<input type='radio' name='army' value='swordsman' checked='checked' />Мечников<br /> 
<input type='radio' name='army' value='archer' />Лучников<br />
Кол:<br />
<input type='text' name='kol' maxlength='10' /><br />
<input type='submit' value='Обучить '/></form><br />";
back('');
break;

case 'swordsman_info':
echo img('war.png') . " <br />
Мечники нужны для совершения нападения на другие государства. В обороне вашего государства они не учавствуют.<br />";
back('');
break;

case 'archer_info':
echo img('arch.png') . " <br />
Лучники нужны для обороны стен вашего замка от нападения вражеских войск. В нападении на другие государства они не учавствуют.<br />";
back('');
break;

case 'barracks':
div('Казармы');
echo img('war-1.png') . " Мечников: <b>$info[swordsman]</b> <small><a href='?mod=swordsman_info'>инфо</a></small><br /> 
" . img('arch-1.png') . " Лучников: <b>$info[archer]</b> <small><a href='?mod=archer_info'>инфо</a></small><br />
<a href='?mod=barracks_2'>Обучить войнов</a><br />";
back('');
break;

case 'rob_2':
$login = $_GET['login'];
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol= abs ( ceil ($_POST['kol'] ) );

if ( $info['thief_time'] + ( $s['thief_time'] * 60 * 60 ) - ( $info['thief_lvl'] * $s['thief_time_lvl'] * 60 ) < time() )
{

if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$login'") )==1){

$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$login' LIMIT 1"));

 if ( $kol == false || $kol < 0 )
 { echo "Не верное значение кол. золота.<br />"; back('rob&amp;login=' . $login); }
 elseif ( $info['gold'] < $kol )
 { echo "У вас нет столько золота.<br />"; back('rob&amp;login=' . $login); }
 else
 {
    mysql_query( "UPDATE battle_royal_user SET gold = gold - $kol WHERE id='$info[id]' LIMIT 1");

  $r = rand(1, $kol + 500);
  if ( $r >= 300 )
   {
    mysql_query( "UPDATE battle_royal_user SET 
    tree = tree + " . ceil( $user_info['tree'] / 100 * $s['pct_thief'] ) . ",
    gum = gum + " . ceil( $user_info['gum'] / 100 * $s['pct_thief'] ) . ",
    iron = iron + " . ceil( $user_info['iron'] / 100 * $s['pct_thief'] ) . ",
    thief_time = '" . time() . "'
    WHERE id='$info[id]' LIMIT 1");
   
    mysql_query( "UPDATE battle_royal_user SET 
    tree = tree - " . ceil( $user_info['tree'] / 100 * $s['pct_thief'] ) . ",
    gum = gum - " . ceil( $user_info['gum'] / 100 * $s['pct_thief'] ) . ",
    iron = iron - " . ceil( $user_info['iron'] / 100 * $s['pct_thief'] ) . "
    WHERE id='$user_info[id]' LIMIT 1");
    
    mysql_query( "INSERT INTO battle_royal_mess SET  
    login = 'Системное',
    whom = '$user_info[login]',
    mess = 'Игрок $info[login] ограбил вас! Украдено дерева " . ceil( $user_info['tree'] / 100 * $s['pct_thief'] ) . " , камня " . ceil( $user_info['gum'] / 100 * $s['pct_thief'] ) . ", железа " . ceil( $user_info['iron'] / 100 * $s['pct_thief'] ) . ".',
    rept = '0',
    date = '" . time() . "'
    ");
     
    echo "Вы успешно ограбили короля $login.<br />
    Украдено
    Дерева: <b>" . ceil( $user_info['tree'] / 100 * $s['pct_thief'] ) . "</b><br />
    Камня: <b>" . ceil( $user_info['gum'] / 100 * $s['pct_thief'] ) . "</b><br />
    Железа: <b>" . ceil( $user_info['iron'] / 100 * $s['pct_thief'] ) . "</b><br />";
   }
   else
   {
   
    echo "У вас не получилось ограбить.<br />";
    
    mysql_query( "INSERT INTO battle_royal_mess SET  
    login = 'Системное',
    whom = '$user_info[login]',
    mess = 'Игрок $info[login] пытался вас ограбить.',
    rept = '0',
    date = '" . time() . "'");
   }
   back('rob&amp;login=' . $login);
 }
}
else { echo "Такова короля не существует!<br />"; back('neighbours'); }
}
else
{
echo "Ваши воры не готовы выйти на дело!<br />";
back('user&amp;login=' . $login);

}
break;

case 'exploration_2':
$login = $_GET['login'];
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol = abs ( ceil ($_POST['kol'] ) );

if ( $info['spy_time'] + ( $s['spy_time'] * 60 * 60 ) < time() )
{

if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$login'") )==1){

$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$login' LIMIT 1"));

 if ( $kol == false || $kol < 0 )
 { echo "Не верное значение кол. золота.<br />"; back('rob&amp;login=' . $login); }
 elseif ( $info['gold'] < $kol )
 { echo "У вас нет столько золота.<br />"; back('rob&amp;login=' . $login); }
 else
 {
    mysql_query( "UPDATE battle_royal_user SET 
    gold = gold - $kol
    WHERE id='$info[id]' LIMIT 1");
    
  $r = rand(1, $kol + 500);
  if ( $r >= 3 )
   {
    echo "Вы успешно разведали военные силы короля $login.<br />
    На обороне стоит <b>" . $archer = rand($user_info['archer'] - ( ( 10 - $info['spy_lvl']) * ( $user_info['archer'] / 10 ) ),$user_info['archer'] + ( ( 10 - $info['spy_lvl']) * ( $user_info['archer'] / 10 ) )) . "</b> лучников.<br />";
   }
   else
   {
    echo "У вас не получилось провести разведку.<br />";
    
        mysql_query( "INSERT INTO battle_royal_mess SET  
    login = 'Системное',
    whom = '$user_info[login]',
    mess = 'Разведчики игрока $info[login] были схвачены около вашего замка.',
    rept = '0',
    date = '" . time() . "'");
   }
  back('exploration&amp;login=' . $login);
 }
}
else { echo "Такова короля не существует!<br />"; back('neighbours'); }
}
else { echo "Ваши шпионы не готовы выйти на дело!<br />"; back('user&amp;login=' . $login); }
break;

case 'rob':
$login = $_GET['login'];

if ( $info['thief_time'] + ( $s['thief_time'] * 60 * 60 ) - ( $info['thief_lvl'] * $s['thief_time_lvl'] * 60 ) < time() )
{

echo "Грабим: <b>$login</b><br />
У вас золота: <b>$info[gold]</b><br />
Сколько вы заплатите грабителям:<br />

<form action='?mod=rob_2&amp;login=$login' method='post' />
<input type='text' name='kol' value='0' maxlength='30' /><br />
<input type='submit' value='Ограбить' /></form><br />";
}
else echo "Ваши воры не готовы выйти на дело!<br />";
back('user&amp;login=' . $login);
break;

case 'exploration':

$login = $_GET['login'];

if ( $info['spy_time'] + ( $s['spy_time'] * 60 * 60 ) < time() )
{
echo "
Разведуем: <b>$login</b><br />
У вас золота: <b>$info[gold]</b><br />
Сколько вы заплатите разведчикам:<br />

<form action='?mod=exploration_2&amp;login=$login' method='post'>
<input type='text' name='kol' value='0' maxlength='30' /><br />
<input type='submit' value='Разведать' /></form><br />";
}
else echo "Ваши шпионы не готовы выйти на дело!<br />";
back('user&amp;login=' . $login);

break;

case 'user_info':

$l = $_GET['l'];
If (!isset($_GET['back']) || !preg_match("!^[a-zA-Z0-9_]+$!i",$_GET['back'])) $back=false; else $back=$_GET['back'];

div('О королевстве');
if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$l'") )==1){

$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$l' LIMIT 1"));

echo $user_info['login'] . "<br />
Уровень: <b>$user_info[lvl]</b><br />
Побед: <b>$user_info[victory]</b><br />
Поражений: <b>$user_info[defeat]</b><br />
<a href='?mod=mess2&amp;l=$user_info[login]'>Написать сообщение</a><br />"; 

}
else echo "<br />Такова королевства не существует.";
back($back);
break;

case 'attack2':
$l = $_GET['l'];
If (!isset($_POST['kol']) || !preg_match("!^[a-zA-Z0-9_]+$!i",$_POST['kol'])) $kol=false; else $kol= abs ( ceil ( $_POST['kol'] ));

$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$l' LIMIT 1"));
if ( $info['login'] == $l )
echo "Нельзя напасть на самого себя!<br />";
else
if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_attack WHERE login='$info[login]'") )==1)
echo "Вы уже ведете войну!<br />";
else
if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$l'") )==0)
echo "Такова короля не существует!<br />";
else
if ( $info['lvl'] != $user_info['lvl'] )
echo "Нельзя напасть на этого игрока!<br />";
else
if ( $info['swordsman'] < $kol )
echo "Недостаточно мечников!<br />";
else
if ( $kol == 0)
echo "Не указанно кол. войнов.<br />";
else
{

if ( $info['horse'] > 0 )
{
 $time = $s['attack_time'] * 60 * 60 / 2;
 $horse = 1;
}
else
{
 $time = $s['attack_time'] * 60 * 60;
 $horse = 0;
}

    mysql_query( "UPDATE battle_royal_user SET 
    swordsman = swordsman - $kol,
    horse = horse - $horse
    WHERE id='$info[id]' LIMIT 1");

    mysql_query( "INSERT INTO battle_royal_attack SET  
    login = '$info[login]',
    login2 = '$user_info[login]',
    swordsman = '$kol',
    time = '" . time() . "',
    time2 = '" . ( time() + $time ) . "'");

echo "<b>Наподение на: </b>$l<br />
Отправлено $kol мечников.<br />
Вашк войско дойдет до врага через " . ( $time / 60 ) . " мин.<br />";
}

back('user&amp;login=' . $l);
break;

case 'attack':
$l = $_GET['l'];

if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='" . $l . "'") )==1)
{

echo "Наподение на <b>$l</b><br />
Кол. мечников:<br />
<form action='?mod=attack2&amp;l=$l' method='post'>
<input type='text' name='kol' value='0' maxlength='30' /><br />
<input type='submit' value='Напасть' /></form><br />";

} else echo "Такова короля не существует!<br />";

echo "<img src='battle_royal_images/24.png' alt='' /> <a href='?mod=user&amp;login=$l'>Назад</a><br />";
break;
case 'user':

$login = $_GET['login'];
if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$login'") )==1){

$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$login' LIMIT 1"));

echo img('17.png') . " Король: <b>$user_info[login]</b><br />
Уровень: " . img('25.png') . " <b>$user_info[lvl]</b><br />
" . img('7.gif') . " Стена: <b>$user_info[wall_lvl] ур.</b><br />
Побед: <b>$user_info[victory]</b><br />
Поражений: <b>$user_info[defeat]</b><br />
<a href='?mod=mess2&amp;l=$user_info[login]'>Написать сообщение</a><br />
<a href='?mod=attack&amp;l=$user_info[login]'>Напасть</a><br />";
if ( $info['thief_time'] + ( $s['thief_time'] * 60 * 60 ) - ( $info['thief_lvl'] * $s['thief_time_lvl'] * 60 ) < time() )
echo "<a href='?mod=rob&amp;login=$login'>Ограбить</a><br />";
else
{
$time = ceil( $info['thief_time'] + ( $s['thief_time'] * 60 * 60 ) - ( $info['thief_lvl'] * $s['thief_time_lvl'] * 60 ) - time() );

if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';
if ( $time < 60) $time_k = $time.' сек';

echo "Ограбить (<b>$time_k</b>)<br />";
}
if ( $info['spy_time'] + ( $s['spy_time'] * 60 * 60 )< time() )
echo "<a href='?mod=exploration&amp;login=$login'>Разведать</a><br />";
else
{
$time = ceil( $info[spy_time] + ( $s[spy_time] * 60 * 60 ) - time() );

if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';
if ( $time < 60) $time_k = $time.' сек';

echo "Разведать (<b>$time_k</b>)<br />";
}
} else echo "Такова короля не существует!<br />";
back('neighbours');
break;

case 'neighbours':
div('Соседи:');

//$user = mysql_query("SELECT * FROM battle_royal_user WHERE lvl = '$info[lvl]' AND login != '$info[login]' ORDER BY RAND() LIMIT 10") or die(mysql_error());
$user = mysql_query("SELECT * FROM `battle_royal_user` WHERE id >= (SELECT FLOOR( MAX(id) * RAND()) FROM `battle_royal_user` ) AND login != '$info[login]' ORDER BY id LIMIT 10");
while ( $user_info = mysql_fetch_array ( $user ) ) 
{
echo "<a href='?mod=user&amp;login=$user_info[login]'>$user_info[login]</a><br />";
}
back('castle');
break;

case 'wall_info':
echo "Стена служит для обороны вашего замка чем она выши тем сложней штурмовать вашу крепость.<br />";
back('castle');
break;

case 'alliance_info':
echo "Союз можно заключить только с одним королем. Союз позволяет передовать друг другу ресурсы, золото и даже войска. Союз можно в любой момент расторгнуть.<br />";
back('castle');
break;

case 'alliance4':
if ( $info['alliance'] != '' )
{
mysql_query( "UPDATE battle_royal_user SET 
   alliance = ''
   WHERE id='$info[id]' LIMIT 1");
mysql_query( "UPDATE battle_royal_user SET 
   alliance = ''
   WHERE id='$info[alliance]' LIMIT 1");
echo "<b>Союз успешно расторгнут!</b><br />";
}
else echo "<b>У вас нет союзника!</b><br />";
back('alliance');
break;

case 'alliance3':

if ( $info['alliance'] != '' )
{
$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$info[alliance]' LIMIT 1"));
echo "
Союзник: <b>$info[alliance]</b><br />
Уровень: <b>$user_info[lvl]</b><br />
Золото: <b>$user_info[gold]</b><br />
Побед: <b>$user_info[victory]</b><br />
Поражений: <b>$user_info[defeat]</b><br />
Дерева: <b>$user_info[tree]</b><br />
Камня: <b>$user_info[gum]</b><br />
Железа: <b>$user_info[iron]</b><br />
Мечников: <b>$user_info[swordsman]</b><br />
Лучников: <b>$user_info[archer]</b><br />";
back('alliance2');
}
else { echo "<b>У вас нет союзника!</b><br />"; back('alliance'); }
break;

case 'alliance5':
div('Переправа войска');
if ( isset($_GET['go']) )
{
echo "<b>Результат</b><br />";
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol= abs ( ceil ($_POST['kol'] ) );
if ( $kol != false )
{
  if ( $_POST['army'] == 'swordsman' || $_POST['army'] == 'archer' )
  {
   if ( $info[$_POST['army']] >= $kol )
   {
    
    mysql_query( "UPDATE battle_royal_user SET 
    $_POST[army] = $_POST[army] - $kol
    WHERE id='$info[id]' ");

    mysql_query( "UPDATE battle_royal_user SET 
    $_POST[army] = $_POST[army] + $kol
    WHERE login='$info[alliance]' ");
        
    if ( $_POST['army'] == 'swordsman' )
    $army = 'мечников';
    else
    $army = 'лучников';
    
    mysql_query( "INSERT INTO battle_royal_mess SET  
    login = 'Системное',
    whom = '$info[alliance]',
    mess = 'Ваш союзник $info[login] переправил вам войско в размере  $kol  $army.',
    rept = '0',
    date = '" . time() . "'
    ");
    
    echo "Вы успешно переправили войско в размере <b>$kol $army</b>.<br />";
   }
   else echo "Не достаточно войнов.<br />";
  }
  else echo "Не верный тип войска.<br />";
}
else echo "Не верное колличество.<br />";
}

echo "<form action='?mod=alliance5&amp;go' method='post'>
Вид войска:<br />
<input type='radio' name='army' value='swordsman' checked='checked' />Мечники<br /> 
<input type='radio' name='army' value='archer' />Лучники<br />
  Кол:<br />
  <input type='text' name='kol' maxlength='10' /><br />
  <input type='submit' value='Переправить' /></form> <br />";
back('alliance2');
break;

case 'alliance6':
div('Передача ресурсов');
if ( isset($_GET['go']) )
{
echo "<b>Результат</b><br />";
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol= abs ( ceil ($_POST['kol'] ) );
if ( $kol != false )
{
  if ( $_POST['res'] == 'tree' || $_POST['res'] == 'gum' || $_POST['res'] == 'iron' )
  {
   if ( $info[$_POST['res']] >= $kol )
   {
    
    mysql_query( "UPDATE battle_royal_user SET 
    $_POST[res] = $_POST[res] - $kol
    WHERE id='$info[id]' ");

    mysql_query( "UPDATE battle_royal_user SET 
    $_POST[res] = $_POST[res] + $kol
    WHERE login='$info[alliance]' ");
        
   $array = array ( "tree"=>"дерево",  "gum"=>"камень",  "iron"=>"железо", );
    
        mysql_query( "INSERT INTO battle_royal_mess SET  
    login = 'Системное',
    whom = '$info[alliance]',
    mess = 'Ваш союзник $info[login] передал ва ресурс " . $array[$_POST['res']] . " в колличестве $kol.',
    rept = '0',
    date = '" . time() . "'
    ");
    
    echo "Вы успешно передали ресурс <b>" . $array[$_POST['res']] . "</b> в колличестве <b>$kol</b>.<br />";
   } 
   else echo "Недостаточно ресурсов.<br />";
  }
  else echo "Не верный тип ресурса.<br />";
}
else echo "Не верное количество.<br />";
}

echo "<form action='?mod=alliance6&amp;go' method='post'>
Ресурс:<br />
<input type='radio' name='res' value='tree' checked='checked' />Дерево<br /> 
<input type='radio' name='res' value='gum' />Камень<br />
<input type='radio' name='res' value='iron' />Железо<br />
  Кол:<br />
  <input type='text' name='kol' maxlength='10' /><br />
  <input type='submit' value='Передать'/></form> <br />";
back('alliance2');
break;

case 'alliance2':
if ( $info['alliance'] != '' )
{
div('Управление союзом');
echo "Союзник: <b>$info[alliance]</b><br />
<a href='?mod=mess2&amp;l=$info[alliance]'>Написать сообщение</a><br />
<a href='?mod=alliance3'>Информация о союзнике</a><br />
<a href='?mod=alliance6'>Передать ресурсы</a><br />
<a href='?mod=alliance5'>Переправить войско</a><br />
<a href='?mod=alliance4'>Расторгнуть союз</a><br />";
}
else echo "<b>У вас нет союзника!</b><br />";
back('alliance');
break;

case 'alliance':
if ( isset($_GET['alliance_close']) AND $_GET['alliance_close'] == '')
{
 mysql_query( "DELETE FROM battle_royal_alliance WHERE login='$info[login]'" ); 
 echo "Заявка на союз отменена.<br />";
} 

if ( isset($_GET['go']) AND $_GET['go'] == '' )
{
if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_alliance WHERE login='$info[login]'") )==0){

 if (!isset($_POST['login']) || !preg_match("!^[a-zA-Z0-9_]+$!i",$_POST['login'])) $login=false; else $login=$_POST['login'];
 
if ( $login != $info['login'] )
{
 if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$login'") )==1){
  
  $user = mysql_fetch_array ( mysql_query("SELECT * FROM battle_royal_user WHERE login='$login'") );

  if ( $user['alliance'] == '' )
  {
   mysql_query( "INSERT INTO battle_royal_alliance SET 
   login = '$info[login]',
   login_2 = '$login'");
   echo "Вы подали заявку на союз с игроком <b>$login</b>.<br />";
  }
  else echo "Этот игрок уже в союзе.<br />";  
 }
 else echo "Такова игрока не существует.<br />";
}
else echo "Нельзя подать заявку самому себе.<br />";
}
else echo "Вы уже подали заявку на союз<br />";
}
echo "<b>Союз</b><br />";
if ( $info['alliance'] != '' )
{
 echo "У вас союз с <b>$info[alliance]</b><br /><a href='?mod=alliance2'>Управление союзом</a><br />";
}
else
{
echo "У вас нет союзника.<br />";
 if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_alliance WHERE login='$info[login]'") )>0)
 {
 $alliance = mysql_fetch_array ( mysql_query("SELECT * FROM battle_royal_alliance WHERE login='$info[login]'") );
  echo "Вы подали заявку на союз с игроком <b>$alliance[login_2]</b><br />
  Ждите его ответ.<br />
  <a href='?mod=alliance&amp;alliance_close'>Отменить заявку</a><br />";
 } else {
  echo "<form action='?mod=alliance&go' method='post'>
  Для подачи заявки на заклучение союза, введите ник желаемого союзника:<br />
  <input type='text' name='login' maxlength='30' /><br />
  <input type='submit' value='Подать'/></form> <br />";
 }
}
back('castle');
break;

case 'castle':
if ( isset($_GET['go']))
{
 if ( $_GET['go'] == 'wall' )
 {
  if ( $info['wall_lvl'] < 10 )
  {
  
   if ( $info['wall_lvl'] == 0 )
    $gum = $s['wall_gum'];
   else
    $gum = $info['wall_lvl'] * $s['wall_gum'] * 2; 
  
   if ( $gum < $info['gum'] )
   {
    mysql_query( "UPDATE battle_royal_user SET 
    gum = gum - $gum,
    wall_lvl = wall_lvl + 1
    WHERE login = '$info[login]' ");
    echo "Уровень стены успешно повышен.<br />";
   }
   else echo "Недостаточно камня.<br />";
  }
  else  echo "Уровень стены уже максимален.<br />"; 
 }
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$user[nick]' LIMIT 1")); 
}

div('Замок');
echo "<a href='?mod=neighbours'>Соседи</a><br />
<a href='?mod=alliance'>Союз</a> <small><a href='?mod=alliance_info'>инфо</a></small><br />
" . img('7.gif') . " Стена: <b>$info[wall_lvl] ур.</b> <small><a href='?mod=wall_info'>инфо</a></small><br />
" . img('5.png') . " <a href='?mod=castle&amp;go=wall'>Повысить</a> [";
if ( $info['wall_lvl'] == 0 )
 echo $s['wall_gum'];
else 
 echo $info['wall_lvl'] * $s['wall_gum'] * 2;
echo " камня]<br />";
back('');
break;

case 'stat':
div('Статистика');
echo "Всего государств: <b>" . mysql_num_rows ( mysql_query( " SELECT id FROM battle_royal_user " ) ) . "</b><br />
Всего союзов: <b>" . ( mysql_num_rows ( mysql_query( " SELECT id FROM battle_royal_user WHERE alliance != '' " ) ) / 2 ) . "</b><br />
Максимальный онлайн в игре: <b>$s[max_online]</b><br />";
back('');
break;

case 'liaders':
div('Лидеры');
echo "Самый богатый:<br />";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `battle_royal_user` WHERE `gold` = (SELECT MAX(gold) FROM `battle_royal_user` LIMIT 1)"));
echo "<a href='?mod=user_info&amp;l=$user[login]&amp;back=liaders'>$user[login]</a>: $user[gold] золота<br />";
echo "Самая большая земля:<br />";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `battle_royal_user` WHERE `land` = (SELECT MAX(land) FROM `battle_royal_user` LIMIT 1)"));
echo "<a href='?mod=user_info&amp;l=$user[login]&amp;back=liaders'>$user[login]</a>: $user[land] земли<br />";
//echo"Больше всех ресурсов:<br />"; // tree + gum + iron
//$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `battle_royal_user` WHERE `gold` = (SELECT MAX(gold) FROM `battle_royal_user` LIMIT 1)"));
//echo "<a href='?mod=user_info&amp;l=$user[login]&amp;back=liaders'>$user[login]</a>: " . ( $user['tree'] + $user['gum'] + $user['iron'] ) . " ресурсов<br />";
echo "Самый опытный генерал:<br />";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `battle_royal_user` WHERE `general` = (SELECT MAX(general) FROM `battle_royal_user` LIMIT 1)"));
echo "<a href='?mod=user_info&amp;l=$user[login]&amp;back=liaders'>$user[login]</a>: $user[general] опыта<br />";
echo "Больше всех мечников:<br />";
$user=mysql_fetch_assoc(mysql_query("SELECT * FROM `battle_royal_user` WHERE `swordsman` = (SELECT MAX(swordsman) FROM `battle_royal_user` LIMIT 1)"));
echo "<a href='?mod=user_info&amp;l=$user[login]&amp;back=liaders'>$user[login]</a>: $user[swordsman] мечников<br />";
echo "Больше всех лучников:<br />";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `battle_royal_user` WHERE `archer` = (SELECT MAX(archer) FROM `battle_royal_user` LIMIT 1)"));
echo "<a href='?mod=user_info&amp;l=$user[login]&amp;back=liaders'>$user[login]</a>: $user[archer] лучников<br />";
echo "Больше всех побед:<br />";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `battle_royal_user` WHERE `victory` = (SELECT MAX(victory) FROM `battle_royal_user` LIMIT 1)"));
echo "<a href='?mod=user_info&amp;l=$user[login]&amp;back=liaders'>$user[login]</a>: $user[victory] побед.<br />";
back('');
break;

case 'build_2':
$array = array('tree', 'gum', 'iron');

div('Построить');

if (in_array($_GET['build'], $array)) 
{ 
 if ( $info['b_'.$_GET['build']] < $s['b_'. substr($_GET['build'],0,1) .'_limit'] )
 {
  if ( $info['tree'] < ceil( $s['b_'.substr($_GET['build'],0,1).'_tree'] + ( $s['b_'.substr($_GET['build'],0,1).'_tree'] / 100 * $s['pct_res_b'] * $info['b_tree'] ) ) ) $error.= 'Не хватает <b>' . ( ceil( $s['b_'.substr($_GET['build'],0,1).'_tree'] + ( $s['b_'.substr($_GET['build'],0,1).'_tree'] / 100 * $s['pct_res_b'] * $info['b_tree'] ) ) - $info['b_tree'] ) . '</b> ед. дерева.<br />';
  if ( $info['gum'] < ceil( $s['b_'.substr($_GET['build'],0,1).'_gum'] + ( $s['b_'.substr($_GET['build'],0,1).'_gum'] / 100 * $s['pct_res_b'] * $info['b_gum'] ) ) ) $error.= 'Не хватает <b>' . ( ceil( $s['b_'.substr($_GET['build'],0,1).'_gum'] + ( $s['b_'.substr($_GET['build'],0,1).'_gum'] / 100 * $s['pct_res_b'] * $info['b_gum'] ) ) - $info['b_gum'] ) . '</b> ед. камня.<br />';
  if ( $info['iron'] < ceil( $s['b_'.substr($_GET['build'],0,1).'_iron'] + ( $s['b_'.substr($_GET['build'],0,1).'_iron'] / 100 * $s['pct_res_b'] * $info['b_iron']) ) ) $error.= 'Не хватает <b>' . ( ceil( $s['b_'.substr($_GET['build'],0,1).'_iron'] + ( $s['b_'.substr($_GET['build'],0,1).'_iron'] / 100 * $s['pct_res_b'] * $info['b_iron'] ) ) - $info['iron'] ) . '</b> ед. железа.<br />';
  if(!empty($error))
  echo $error;
  else
  {
   mysql_query( "UPDATE battle_royal_user SET 
   tree = tree - " . ceil( $s['b_'.substr($_GET['build'],0,1).'_tree'] + ( $s['b_'.substr($_GET['build'],0,1).'_tree'] / 100 * $s['pct_res_b'] * $info['b_tree'] ) ) . ",
   gum = gum - " . ceil( $s['b_'.substr($_GET['build'],0,1).'_gum'] + ( $s['b_'.substr($_GET['build'],0,1).'_gum'] / 100 * $s['pct_res_b'] * $info['b_gum'] ) ) . ",
   iron = iron - " . ceil( $s['b_'.substr($_GET['build'],0,1).'_iron'] + ( $s['b_'.substr($_GET['build'],0,1).'_iron'] / 100 * $s['pct_res_b'] * $info['b_iron'] ) ) . ",    
   b_" . $_GET['build'] . " = b_" . $_GET['build'] . " + 1   
   WHERE id='$info[id]' LIMIT 1") or die(mysql_error());
   $array = array ( "t"=>"лесопилку",  "g"=>"каменоломню",  "i"=>"шахту", );
   echo "Вы успешно построили <b> " . $array[substr($_GET['build'],0,1)] . "</b>.<br />";
  }
 }
 else
 {
 $array = array ( "t"=>"лесопилок",  "g"=>"каменоломнь",  "i"=>"шахт", );
  echo "Лимит <b>" . $array[substr($_GET['build'],0,1)] . "</b> исчерпан!<br />";
 }
}
else
echo "Такова здания не существует!<br />";
back('build');
break;

case 'build':
div('Построить');
echo "Доступные здания:<br />
<small>Название [кол./лимит] (дерево/камень/железо) </small><br />
" . img('31.png') . " <a href='?mod=build_2&amp;build=tree'>Лесопилка</a> [<b>$info[b_tree]</b>/$s[b_t_limit]] (" . ( $s['b_t_tree'] + ( $s['b_t_tree'] / 100 * $s['pct_res_b'] * $info['b_tree'] ) ) . "/" . ( $s['b_t_gum'] + ( $s['b_t_gum'] / 100 * $s['pct_res_b'] * $info['b_tree'] ) ) . "/" . ( $s['b_t_iron'] + ( $s['b_t_gum'] / 100 * $s['pct_res_b'] * $info['b_tree'] ) ) . ") <br />
" . img('30.png') . " <a href='?mod=build_2&amp;build=gum'>Каменоломня</a> [<b>$info[b_gum]</b>/$s[b_g_limit]] (" . ( $s['b_g_tree'] + ( $s['b_g_tree'] / 100 * $s['pct_res_b'] * $info['b_gum'] ) ) . "/" . ( $s['b_g_gum'] + ( $s['b_g_gum'] / 100 * $s['pct_res_b'] * $info['b_gum'] ) ) . "/" . ( $s['b_g_iron'] + ( $s['b_g_iron'] / 100 * $s['pct_res_b'] * $info['b_gum'] ) ) . ") <br />
" . img('32.png') . " <a href='?mod=build_2&amp;build=iron'>Шахта</a> [<b>$info[b_iron]</b>/$s[b_i_limit]] (" . ( $s['b_i_tree'] + ( $s['b_i_tree'] / 100 * $s['pct_res_b'] * $info['b_iron'] ) ) . "/" . ( $s['b_i_gum'] + ( $s['b_i_gum'] / 100 * $s['pct_res_b'] * $info['b_iron'] ) ) . "/" . ( $s['b_i_iron'] + ( $s['b_i_iron'] / 100 * $s['pct_res_b'] * $info['b_iron'] ) ) . ") <br />";
back('');
break;

case 'spy_info':
echo "Шпионы служат для того, что бы проводить разведки военных сил соседних государств. Они выеяняют сколько лучников стоят на охране в замке. Успех шпионов зависит от того, сколько вы выделите им золота. Чем выше уровень шпионов тем точней их сведенья.<br />";
back('hut');
break;

case 'thief_info':
echo "Воры служат для того, что бы воровать у других государств ресурсы. Успех воров зависит от того, сколько вы выделите им золота. Чем выше уровень воров, тем быстрей они могут выйти на новое дело.<br />";
back('hut');
break;

case 'general_info':
echo "Генерал набирает опыт во время боев, как при атаке, так и при защите. Генерал не влияет на исход боя.<br />";
back('hut');
break;

case 'hut':
if ( isset($_GET['go']))
{
 if ( $_GET['go'] == 'thief' )
 {
  if ( $info['thief_lvl'] < 10 )
  {
   if ( $info['thief_lvl'] * $s['thief_gold'] < $info['gold'] )
   {
    mysql_query( "UPDATE battle_royal_user SET 
    gold = gold - " . ( $info['thief_lvl'] * $s['thief_gold'] ) . ",
    thief_lvl = thief_lvl + 1
    WHERE login = '$info[login]' ");
    echo "Уровень варов успешно повышен.<br />";
   }
   else echo "Не достаточно золота.<br />";
  }
  else echo "Уровень воров уже максимальный.<br />";
 }
 elseif ( $_GET['go'] == 'spy' )
 {
  if ( $info['spy_lvl'] < 10 )
  {
   if ( $info['spy_lvl'] * $s['spy_gold'] < $info['gold'] )
   {
    mysql_query( "UPDATE battle_royal_user SET 
    gold = gold - " . ( $info['spy_lvl'] * $s['spy_gold'] ) . ",
    spy_lvl = spy_lvl + 1
    WHERE login = '$info[login]' ");
    echo "Уровень шпионов успешно повышен.<br />";
   }
   else echo "Не достаточно золота.<br />";
  }
  else echo "Уровень шпионов уже максимальный.<br />";
 }
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='$user[nick]' LIMIT 1"));
}

div('Хижина');
echo img('33.png') . " Генерал: <b>$info[general]</b> опыта.<small>
<a href='?mod=general_info'>инфо</a></small><br />
" . img('34.png') . " Воры: <b>$info[thief_lvl]</b> ур.<small>
<a href='?mod=thief_info'>инфо</a></small><br />";
if ( $info['thief_lvl'] < 10 ) echo img('5.png') . " <a href='?mod=hut&amp;go=thief'>Повысить</a> [<b>" . ( $info['thief_lvl'] * $s['thief_gold'] ) . "</b> золотых]<br />";
echo img('35.png') . " Шпионы: <b>$info[spy_lvl]</b> ур.<small>
<a href='?mod=spy_info'>инфо</a></small><br />";
if ( $info['spy_lvl'] < 10 ) echo img('5.png') . " <a href='?mod=hut&amp;go=spy'>Повысить</a> [<b>" . ( $info['spy_lvl'] * $s['spy_gold'] ) . "</b> золотых]<br />";
back('');
break;

case 'medicine_info':
echo "Медицина служит для того, что бы после боя вылечивать ваших павших войнов в битве. Вылечиваются войны как при атаки, так и при обороне. С повышением уровня медицины, повышается процент вылечения павших войнов. Один уровень равен <b>$s[pct_medicine] %</b>.<br />";
back('church');
break;

case 'church';
if ( isset($_GET['go']))
{
 if ( $_GET['go'] == 'medicine' )
 {
  if ( $info['medicine_lvl'] < 10 )
  {
  
   if ( $info['medicine_lvl'] == 0 )
    $gold = $s['medicine_gold'];
   else
    $gold = $info['medicine_lvl'] * $s['medicine_gold']; 
     
    if ( $gold < $info['gold'] )
    {
     mysql_query( "UPDATE battle_royal_user SET 
     gold = gold - $gold,
     medicine_lvl = medicine_lvl + 1
     WHERE login = '$info[login]' ");
     echo "Уровень медицины успешно повышен.<br />";
    }
    else echo "Не достаточно золота.<br />";
  }
  else echo "Уровень медицины уже максимальный.<br />";
 }
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_user WHERE login='" . $user[nick] . "' LIMIT 1"));
}

div('Церковь');
echo img('29.png') . " Медицина: <b>$info[medicine_lvl]</b> ур.<small>
<a href='?mod=medicine_info'>инфо</a></small><br />";
if ( $info['medicine_lvl'] < 10 ) echo img('5.png') . " <a href='?mod=church&amp;go=medicine'>Повысить</a> [<b>";
 if ( $info['medicine_lvl'] == 0 )
 echo $s['medicine_gold'];
 else
 echo $info['medicine_lvl'] * $s['medicine_gold'];
echo "</b> золотых]<br />";
back('');
break;

case 'lvl_info':
echo "Ваш уровень зависит от земли вашего владения. Чем больше территория вашего гос. тем выше ваш уровень. Вашими соседями могут являться только те государства, у которых уровень равен вашему, а отличный от вас уровень не сможет на вас напасть, ограбить и т.д. Максимальный уровень 10. <br />";
back('');
break;

case 'market_6':
If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=$_GET['id'];
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol= abs ( ceil ( $_POST['kol'] ) );

div('Рынок');

if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_market WHERE id = '" . $id . "'") )>0){
 $market = mysql_fetch_array ( mysql_query("SELECT * FROM battle_royal_market WHERE id = '" . $id . "'") );
 if ( $kol > 0 )
 {
  if ( $market['kol'] >= $kol )
  {
   if ( $info['gold'] >= ceil ( $market['price'] * $kol ) )
   {
    mysql_query( "UPDATE battle_royal_market SET 
    kol = kol - $kol
    WHERE id = '$id'") or die(mysql_error());
    mysql_query( "UPDATE battle_royal_user SET 
    gold = gold + " . ceil ( $market['price'] * $kol ) . "
    WHERE login = '$market[login]'");
    mysql_query( "UPDATE battle_royal_user SET 
    gold = gold - " . ceil ( $market['price'] * $kol ) . ",
    $market[res] = $market[res] + $kol
    WHERE login = '$info[login]'");
    $array = array ( "tree"=>"дерева",  "gum"=>"камня",  "iron"=>"железа", );
    echo "Вы успешно приобрели <b>$kol</b> ед <b>" . $array[$market['res']] . "</b> за <b>" . ceil ( $market['price'] * $kol ) . "</b> золотых.<br />";
   }
   else echo "У вас недостаточно золота. Не хватает <b>" . ( $info['gold'] - ( $market['price'] * $kol ) ) . "</b> золота.<br />";
  }
  else echo "У продавца нет такова кол. товара.<br />";
 }
 else echo "Неверное колличество.<br />";
}
else echo "Такова лота продажи нет.<br />";

echo "<a href='?mod=market'>На рынок</a>";
back('market_5&amp;id=' . $id);
break;

case 'market_5':
If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=$_GET['id'];

div('Рынок');

if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_market WHERE id = '" . $id . "'") )>0){
 
 $array = array ( "tree"=>"дерево",  "gum"=>"камень",  "iron"=>"железо", );
 
 $market = mysql_fetch_array ( mysql_query("SELECT * FROM battle_royal_market WHERE id = '" . $id . "'") );
 echo " Продовец: <b>$market[login]</b><br />
 К продаже: <b>" . $array[$market['res']] . "</b><br />
 Кол: <b>$market[kol]</b><br />
 Цена: <b>$market[price]</b><br />
 <form action='?mod=market_6&amp;id=$id' method='post'>
 Кол:<br />
 <input type='text' name='kol' maxlength='30' /><br />
 <input type='submit' value='Купить' /></form> <br />";
}
else echo "Такова лота продажи нет.<br />";
back('market');
break;

case 'market_4':
If (!isset($_GET['res']) || !preg_match("!^[a-z]+$!i",$_GET['res'])) $res=false; else $res=$_GET['res'];
 mysql_query( "DELETE FROM battle_royal_market WHERE kol = '0' " ); 
if ( $res == 'tree' || $res == 'gum' || $res == 'iron' )
{
$array = array ( "tree"=>"дерева",  "gum"=>"камня",  "iron"=>"железа", );
div('Рынок'); echo "Продажа <b>$array[$res]</b>:<br />";

if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_market WHERE res = '$res'") )>0){

 echo "<small>Продовец - кол. / цена за ед.</small><br />";
 $market = mysql_query("SELECT * FROM battle_royal_market WHERE res = '$res'");
 
 while ( $market_info = mysql_fetch_array ( $market ) ) 
 echo $market_info['login'] . " - $market_info[kol] / $market_info[price] <a href='?mod=market_5&amp;id=$market_info[id]'>[купить]</a><br />";
}
else echo "На рынке пусто.<br />";
}
else echo "Неверный вид ресурсов.<br />";
back('market');
break;

case 'market_3':
If (!isset($_POST['res']) || !preg_match("!^[a-z]+$!i",$_POST['res'])) $res=false; else $res=$_POST['res'];
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol = abs ( ceil ( $_POST['kol'] ) );
If (!isset($_POST['price']) || !preg_match("!^[0-9.]+$!i",$_POST['price'])) $price=false; else $price = abs ( $_POST['price'] );

div('Рынок');

if ( $res == 'tree' || $res == 'gum' || $res == 'iron' )
{
 if ( $kol > 0 )
 {
  if ( $price > 0 )
  {
   if ( $info[$res] > $kol )
   {
    mysql_query( "INSERT INTO battle_royal_market SET 
    login = '$info[login]',
    res = '$res',
    kol = '$kol',
    price = '$price' ");
    mysql_query( "UPDATE battle_royal_user SET 
    $res = $res - $kol
    WHERE login = '$info[login]'");
    $array = array ( "tree"=>"дерева",  "gum"=>"камня",  "iron"=>"железа", );
    echo "Вы успешно выстовили <b>$kol</b> ед. <b>$array[$res]</b> по цене <b>$price</b> за ед. на продажу.<br />";
   }
   else echo "У вас нет указанного кол. ресурсов.<br />";
  }
  else echo "Неверный формат цены.<br />";
 }
 else echo "Неверный формат количества.<br />";
}
else echo "Неверный вид ресурсов.<br />";
back('market_2');
break;

case 'market_2':
div('Рынок');
echo "<form action='?mod=market_3' method='post'>
Продаем:<br />
<input type='radio' name='res' value='tree' checked='checked' />Дерево<br /> 
<input type='radio' name='res' value='gum' />Камень<br />
<input type='radio' name='res' value='iron' />Железо<br />
Кол:<br />
<input type='text' name='kol' maxlength='30' /><br />
Цена:<br />
<input type='text' name='price' maxlength='30' /><br />
<input type='submit' value='Выстовить'/></form><br />";
back('market');
break;

case 'market':
div('Рынок');
echo "Купить:<br />
" . img('1.gif') . " <a href='?mod=market_4&amp;res=tree'>Дерево</a><br />
" . img('2.gif') . " <a href='?mod=market_4&amp;res=gum'>Камень</a><br />
" . img('3.gif') . " <a href='?mod=market_4&amp;res=iron'>Железо</a><br />
<a href='?mod=market_2'>Выстовить на продажу</a><br />";
back('');
break;

case 'online':
div('Онлайн:');
$user = mysql_query ("SELECT * FROM user WHERE url = '/battle_royal.php' AND date_last > '" .(time()-600). "'");
while ( $user_info = mysql_fetch_array ( $user ) ) 
echo "<a href='?mod=user_info&amp;l=$user_info[nick]&amp;back=online'>$user_info[nick]</a><br />";
back('');
break;

case 'z_alliance':
If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=$_GET['id'];

if ( isset( $_GET['no'] ) AND $_GET['no'] == '' AND $id != false ) 
{mysql_query( "DELETE FROM battle_royal_alliance WHERE id='" . $id . "'" ); 
 echo "Заявка на союз отменена.<br />";}

if ( isset( $_GET['yes'] ) AND $_GET['yes'] == '' AND $id != false ) 
{
 
 $alliance = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_alliance WHERE id = '$id'"));

 mysql_query( "UPDATE battle_royal_user SET alliance = '$alliance[login]' WHERE login = '$info[login]' " ); 
 mysql_query( "UPDATE battle_royal_user SET alliance = '$info[login]' WHERE login = '$alliance[login]' " ); 
 
 echo "Заявка на союз принята. Вы успешно заключили союз с <b>$alliance[login]</b>.<br />";
 
 mysql_query( "DELETE FROM battle_royal_alliance WHERE login_2='$info[login]'" ); 
 
}
div('Заявки на союз');
$alliance = mysql_query ("SELECT * FROM battle_royal_alliance WHERE login_2 = '$info[login]'");
while ( $alliance_info = mysql_fetch_array ( $alliance ) ) 
{
echo "От: <b>$alliance_info[login]</b><br />
<a href='?mod=z_alliance&amp;id=$alliance_info[id]&amp;yes'>принять</a> | <a href='?mod=z_alliance&amp;id=$alliance_info[id]&amp;no'>отвергнуть</a><br />";
}
back('');
break;

case 'mess2':
div('Написать сообщение');
if ( isset($_GET['go']) )
{
 $mess = mysql_escape_string ( htmlspecialchars ( $_POST['mess'] ) );
 $error=''; 
 if ( $_POST['l'] == '' ) $error.= 'Вы не ввели логин!<br />'; 
 if ( $mess == '' ) $error.= 'Вы не ввели сообщение!<br />'; 
 if (mysql_num_rows(mysql_query("SELECT * FROM battle_royal_user WHERE login='" . $_POST['l'] . "' "))==0) $error.='Такова игрока не существует!<br />';  
 if ( strlen($mess)>200 ) $error.= 'Слишком длинное сообщение!<br />';
 if ( $_POST['l'] == $info['login'] ) $error.= 'Нельзя писать самому себе!<br />';
 if(!empty($error)) { echo $error;
 
echo "<form action='?mod=mess2&amp;go' method='post'>
  Кому:<br />
  <input type='text' name='l' maxlength='10' value='$_POST[l]' /><br />
  Сообщение:<br />
  <textarea name='mess' rows='3' cols='26'>$mess</textarea><br />
  <input type='submit' value='Отправить'/></form><br />";

} else {

mysql_query( "INSERT INTO battle_royal_mess SET  
login = '$info[login]',
whom = '$_POST[l]',
mess = '$mess',
rept = '0',
date = '" . time() . "'
");
echo "Сообщение успешно отправлено игроку $_POST[l].<br />
<a href='?mod=mess2'>Написать еще</a><br />";
}
}
else echo "<form action='?mod=mess2&amp;go' method='post'>
  Кому:<br />
  <input type='text' name='l' maxlength='10' value='$_GET[l]' /><br />
  Сообщение:<br />
  <textarea name='mess' rows='3' cols='26'></textarea><br />
  <input type='submit' value='Отправить' /></form><br />";

back('');
break;

case 'mess':
mysql_query( "DELETE FROM battle_royal_mess WHERE rept = 1 AND date < " . time() . " - " . ( $s['time_mess'] * 60 * 60 * 24 ) . "" ); 

div('Сообщения');
echo "<a href='?mod=mess2'>Написать новое</a><br />";

$query = "SELECT COUNT(*) AS counter FROM battle_royal_mess WHERE whom = '$info[login]'";
$sql = mysql_query($query) or die(mysql_error());
$row = mysql_fetch_assoc($sql);

$elements = $row['counter'];

$pages = ceil($elements/$nums);

if ($page < 1) {
$page = 1;
}
elseif ($page > $pages) {
$page = $pages;
}
$start = ($page-1)*$nums;

if ($start < 0) $start = 0;

$query = "SELECT *
FROM battle_royal_mess
WHERE whom = '$info[login]'
ORDER BY id DESC
LIMIT {$start}, {$nums}";
$sql = mysql_query($query);
if ( $elements = 0 ) {
echo '<div>Сообщений нет</div>';
} else {
while ($row = mysql_fetch_assoc($sql)) {

if ( $row['rept'] == 0 ) 
 {
  echo img('36.gif');
  mysql_query( "UPDATE battle_royal_mess SET rept = 1 WHERE id = '$row[id]' ");
 }
echo "Автор: <b>$row[login]</b><small> " . date ( 'd.m в H:i' ,$row['date'] ) . "</small><br />$row[mess]<br />";
}
}
$neighbours = 3;
$left_neighbour = $page - $neighbours + 1;
if ($left_neighbour < 1) $left_neighbour = 1;

$right_neighbour = $page + $neighbours;
if ($right_neighbour > $pages) $right_neighbour = $pages;

if ($page > 1) {
echo '<a href="?mod=mess&amp;page=' . ($page-1) . '"><<Пред.</a> ';
}
if ($page > 1 and $page < $pages) echo '|';
if ($page < $pages) {
echo ' <a href="?mod=mess&amp;page=' . ($page+1) . '">След.>></a>';
}

if ( $pages > 3 ) echo ' <a href="?mod=mess&amp;page=' . 1 . '">[1]</a> ';

for ($i=$left_neighbour; $i<=$right_neighbour; $i++) {
if ($i != $page) {
echo ' <a href="?mod=mess&amp;page=' . $i . '">' . $i . '</a> ';
}
else {
echo ' <b>' . $i . '</b> ';
}
}
if ( $pages > 3 ) echo ' <a href="?mod=mess&amp;page=' . $pages . '">[' . $pages . ']</a> ';

back('');
break;

case 'attack_cancel':
$attack = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_attack WHERE login = '$info[login]'"));

mysql_query( "UPDATE battle_royal_user SET swordsman = swordsman + $attack[swordsman] WHERE login = '$info[login]' ");

mysql_query( "DELETE FROM battle_royal_attack WHERE login = '$info[login]' " ); 

echo "Атака отменена! Вернулось <b>$attack[swordsman]</b> мечников.<br />";
back('');
break;

case 'mint':

If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol = abs ( ceil ( $_POST['kol'] ) );

div('Монетный двор');
echo "<small>Надпись на табличке: Тут производится обмен жетонов на золото.<br /></small>";

if ( $kol != false )
{
echo "<br /><small><b>Результат:</b><br />";
 if ( $kol > 0 )
 {
  if ( $info['token'] >= $kol )
  {
   echo "Вы успешно обменяли <b>$kol</b> <img src='battle_royal_images/4.gif' alt='' /> жетонов на <b>" . ( $kol * $s['token_gold'] ) . "</b> <img src='battle_royal_images/gold.png' alt='' /> золотых.";
   mysql_query( "UPDATE battle_royal_user SET 
   token = token - $kol,
   gold = gold + " . ( $kol * $s['token_gold'] ) . "
   WHERE login = '$info[login]' ");
   $info['token'] = $info['token'] - $kol;
  }
  else echo "У вас не достаточно жетонов.";
 }
 else echo "Не указанно кол. жетонов.";
echo "</small><br /><br />";
}

echo "У вас <b>$info[token]</b> " . img('4.gif') . " жетонов<br />
Курс: 1</b> " . img('4.gif') . " жетон = $s[token_gold]" . img('gold.png') . " золотых.<br />
<form action='?mod=mint' method='post'>
  Кол. жетонов:<br />
  <input type='text' name='kol' maxlength='10' value='0' /><br />
  <input type='submit' value='Обменять' /></form><br />";
back('');
break;

case 'kon':
div('Конюшня');
echo "<small>Инфо: с конями ваша армия передвигается в два раза быстрей.</small><br />";

if ( isset( $_GET['horse'] ) )
{
echo "<br /><b>Результат:</b><br />";
 if ( $info['token'] >= $s['horse_gold'] )
 {
  echo "Вы преобрели партию коней.<br />";

   mysql_query( "UPDATE battle_royal_user SET 
   token = token - $s[horse_gold],
   horse = horse + 1
   WHERE login = '$info[login]' ");
  
  $info['token'] = $info['token'] - $s['horse_gold']; 
  $info['horse'] = $info['horse'] + 1;
 }
 else echo "Недостаточно жетонов.<br />";
echo "</small><br />";
}

echo "У вас <b>$info[token]</b> " . img('4.gif') . " жетонов.<br />
</b> " . img('36.png') . " У вас коней на <b>$info[horse]</b> походов.<br />
Стоимость партии коней <b>$s[horse_gold]</b> " . img('4.gif') . " жетонов.<br />
<a href='?mod=kon&amp;horse'>Преобрести</a><br />";
back('');
break;

case 'chronicle':
div('Летопись');
$i=0;
$query = "SELECT *
FROM battle_royal_chronicle
ORDER BY id DESC
LIMIT 20";
$sql = mysql_query($query) or die(mysql_error());
while ($row = mysql_fetch_assoc($sql)) 
{
if ( $i < 20 )
{
echo img('37.gif') . " $row[text]<br />";
$i++;
}
else
mysql_query( "DELETE FROM battle_royal_chronicle WHERE id = '$row[id]' " ); 
}
back('');
break;

default:
$online = mysql_num_rows ( mysql_query ("SELECT * FROM profile WHERE online = 'battle_royal' AND time > '" .(time()-600). "'") );

if ( $online > $s['max_online'] )
 {
 mysql_query( "UPDATE battle_royal_settings SET max_online = '" . $online . "' ");
 $s = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_settings WHERE id = '1' LIMIT 1"));
 }

div(img('17.png') . 'Вы: ' . $info['login']);
echo "<small>Уровень: " . img('25.png') . " <b>$info[lvl]</b>  <small><a href='?mod=lvl_info'>инфо</a></small><br />
Золото: <b>$info[gold]</b>" . img('gold.png') . "<br />
Жетонов: <b>$info[token]</b> " . img('4.gif') . "<br />
</small>" . img('9.gif') . " <a href='?mod=mess'>Сообщения</a>";

$new_mess = mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_mess WHERE whom = '$info[login]' AND rept = 0 ") );
if ( $new_mess != 0 ) echo " ($new_mess )";
echo "<br />";
if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_alliance WHERE login_2 = '$info[login]'") ) >0)
{
echo "<a href='?mod=z_alliance'><b>Заявки на союз</b></a> (" . mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_alliance WHERE login_2 = '$info[login]'") ) . ")<br />";
}

if ( mysql_num_rows ( mysql_query ("SELECT * FROM battle_royal_attack WHERE login = '$info[login]'") )==1)
{
 $attack = mysql_fetch_array ( mysql_query ("SELECT * FROM battle_royal_attack WHERE login = '$info[login]'"));
 
 $time = ceil( $attack['time2'] - time() );

if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';
if ( $time < 60) $time_k = $time.' сек';
 
 echo "<br /><small>
 Наподение на: <b>$attack[login2]</b><br />
 До атаки <b>$time_k</b><br />
 <a href='?mod=attack_cancel'>Отменна атаки</a><br /></small>";
}
div('Постройки');
echo "
" . img('8.gif') . " <a href='?mod=castle'>Замок</a><br />
" . img('12.gif') . " <a href='?mod=barracks'>Казармы</a><br />
" . img('14.gif') . " <a href='?mod=sklad'>Склад</a><br />
" . img('15.gif') . " <a href='?mod=hut'>Хижина</a><br />
" . img('23.png') . " <a href='?mod=church'>Церковь</a><br />
" . img('16.gif') . " <a href='?mod=market'>Рынок</a><br />
" . img('18.png') . " <a href='?mod=kon'>Конюшня</a><br />
" . img('21.png') . " <a href='?mod=mint'>Монетный двор</a><br />";
div('Меню');
echo img('22.png') . " <a href='?mod=build'>Построить</a><br />
" . img('26.png') . " <a href='?mod=land'>Мои земли</a><br />";
div('Информация'); echo "<small>
" . img('27.png') . " <a href='?mod=chronicle'>Летопись</a><br />
" . img('10.gif') . " <a href='?mod=stat'>Статистика</a><br />
" . img('13.gif') . " <a href='?mod=liaders'>Лидеры</a><br />
" . img('info.png') . " <a href='?mod=about_game'>Об игре</a><br />
</small>

<div class='rowdown'>Онлайн: <a href='?mod=online'>$online</a> макс. $s[max_online]</div> </div>";
if ( $user['id'] == 1 ) echo div('<a href="battle_royal_a.php">Админка</a><br />');
break;
}
echo "<b><a href='games.php'>В игры</a></b><br />\n";

navig();
foot();
?>